package com.unis.financial.common.vo;

import java.util.Date;
import java.util.List;

import lombok.Getter;
import lombok.Setter;
import lombok.ToString;


@Getter
@Setter
@ToString

public class BizFinancialBudgetFillingVO {
    private String id;

    private String createBy;

    private Date createTime;

    private String deleteBy;

    private Date deleteTime;

    private String updateBy;

    private Date updateTime;

    private String orgId;

    private String deptId;

    private String areaCode;

    private String projectName;

    //本级部门及代码
    private String departmentsCodes;

    private String implementationUnit;

    private String projectAttributes;
    
    //项目期
    private String[] projectPeriod;
    
    private String projectPeriods;

    private Integer totalAnnualFunds;

    private String financialAllocation;

    private String otherFunds;

    private String totalMediumTermFunds;

    private String mediumTermFinancialAllocati;

    private String mediumTermOtherFunds;

    private String projectContent;

    private String basisApplication;

    private String calculatingProcess;

    private String annualTarget;

    private String mediumTermObjectives;

    private String quantityIndicatorContent;

    private String quantityAnnualIndicator;

    private String quantityMediumTerm;

    private String qualityIndicatorContent;

    private String qualityAnnualIndicator;

    private String qualityMediumTerm;

    private String prescriptionIndicatorContent;

    private String prescriptionAnnualIndicator;

    private String prescriptionMediumTerm;

    private String costIndicatorContent;

    private String costAnnualIndicator;

    private String costMediumTerm;

    private String economicsIndicatorContent;

    private String economicsAnnualIndicator;

    private String economicsMediumTerm;

    private String sociologyIndicatorContent;

    private String sociologyAnnualIndicator;

    private String sociologyMediumTerm;

    private String environmentalIndicatorConten;

    private String environmentalAnnualIndicator;

    private String environmentalMediumTerm;

    private String sustainabiliIndicatorContent;

    private String sustainabilitAnnualIndicator;

    private String sustainabilityMediumTerm;

    private String serviceIndicatorContent;

    private String serviceAnnualIndicator;

    private String serviceMediumTerm;

    private String applicationOffice;

    private Date applicationDate;

    private String auditOpinions;

    private String findingsAudit;

    private String auditor;

    private Date auditDate;

    private String attachId;

    private String attachName;

    private String isImportPerformance;

    private String projectId;
    
    //产出指标
    private List<OutPutIndexQueryVO> outputIndex;
    
    //效益指标
    private List<OutPutIndexQueryVO> benefitIndex;

    //满意度指标
    private List<OutPutIndexQueryVO> satisfactionIndex;
    
    //总体目标
    private List<OverallObjectiveVO> overallObjective;
    
    /*20191231新增*/
    //单位名称
    private String unitName;
    
    //项目性质
    private String projectNature;
    
    //单位地址
    private String unitAddress;
    
    //负责人
    private String head;
    
    //联系电话
    private String contactNumber;

    //项目地点
    private String projectLocation;
    
    //单位经办人
    private String unitManager;
    
    //邮政编码
    private String postCode;
}
