package com.unis.financial.server;

import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.autoconfigure.jdbc.DataSourceAutoConfiguration;
import org.springframework.cloud.client.discovery.EnableDiscoveryClient;
import org.springframework.context.annotation.ComponentScan;
import tk.mybatis.spring.annotation.MapperScan;


@SpringBootApplication
@EnableDiscoveryClient
@ComponentScan("com.unis")
//@MapperScan("com.unis.financial.server.dao")
@org.mybatis.spring.annotation.MapperScan("com.unis.financial.server.dao")
public class FinancialServerApplication {
    public static void main(String[] args) {
        SpringApplication.run(FinancialServerApplication.class, args);
        System.out.println("=======启动成功=======");
    }
}