package com.unis.financial.server.dao;


import com.unis.financial.common.vo.BizFinancialBudgetFillingVO;
import com.unis.financial.server.entity.father.BizFinancialBudgetFillingDO;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;
import org.springframework.transaction.annotation.Transactional;
import tk.mybatis.mapper.entity.Example;

import java.util.Date;
import java.util.List;
import java.util.Map;

/**
 * 
 * @ClassName:
 * @Description:
 * @author wq
 * @version v1.0
 */
@Transactional(rollbackFor = Exception.class)
@org.apache.ibatis.annotations.Mapper
public interface FinancialBudgetFillingDao {

	public int insertSelective(BizFinancialBudgetFillingDO bizFinancialBudgetFillingDo);

	public int insert(BizFinancialBudgetFillingDO bizFinancialBudgetFillingDo);


	public Boolean deleteById(String id, String deleteBy, Date deleteTime);

	public int updateByPrimaryKey(@Param("record") BizFinancialBudgetFillingDO bizFinancialBudgetFillingDo);

	public BizFinancialBudgetFillingDO selectByPrimaryKey(String  id);

	List<BizFinancialBudgetFillingDO> selectByProjectId(String  id);

	List<Map> findByPage(@Param("record")BizFinancialBudgetFillingVO bizFinancialBudgetFillingVO, @Param("deptId") String deptId);
	//List<Map> findByPage(BizFinancialBudgetFillingVO bizFinancialBudgetFillingVO);

	public int applicationSub(@Param("record") BizFinancialBudgetFillingDO bizFinancialBudgetFillingDo);

	boolean audit(BizFinancialBudgetFillingDO bizFinancialBudgetFillingDo);



	List<BizFinancialBudgetFillingDO> findByPageOfAudit(@Param("record") BizFinancialBudgetFillingVO bizFinancialBudgetFillingVO, @Param("array")List<String> array);

	BizFinancialBudgetFillingDO selectOneByExample(Example example);

	List<BizFinancialBudgetFillingDO> findByAudit(@Param("approve")String approve);
	//List<BizFinancialBudgetFillingDO> findByAudit(@Param("approve")String approve, @Param("deptId")String deptId);

	void updateIsImport(@Param("string")String s,@Param("id") String id);

	Boolean deleteAttachById(String id);
	
	//移动端-项目年度汇总 
	List<Map> budgetSummary(String years);


}