package com.unis.financial.server.dao;


import com.unis.financial.server.entity.father.BizFinancialPresentationDO;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;
import org.springframework.transaction.annotation.Transactional;

import java.util.Date;
import java.util.List;
import java.util.Map;

/**
 * 
 * @ClassName:
 * @Description:
 * @author wq
 * @version v1.0
 */
@Transactional(rollbackFor = Exception.class)
@org.apache.ibatis.annotations.Mapper
public interface FinancialDataPresentationDao {

	Boolean deleteByPrimaryKey(String id, String deleteBy, Date deleteTime);

	int insertSelective(BizFinancialPresentationDO record);

	BizFinancialPresentationDO selectByPrimaryKey(String id ,String enterpriseCategory);

	int updateByPrimaryKeySelective(BizFinancialPresentationDO record);

	int updateByPrimaryKey(BizFinancialPresentationDO record);

	List<BizFinancialPresentationDO> findByPage(String establishmentUnit, String orgId, String year, String month);

	//List<BizFinancialPresentationDO> getDataByPage(String establishmentUnit, String reportYear, String reportMonth, String deptId);
	List<BizFinancialPresentationDO> getDataByPage(String establishmentUnit, String reportYear, String reportMonth);

	//List<BizFinancialPresentationDO> countDataPage(String reportYear, String reportMonth, String deptId);
	List<BizFinancialPresentationDO> countDataPage(String reportYear, String reportMonth);

    BizFinancialPresentationDO countData(String reportYear, String reportMonth);

    BizFinancialPresentationDO categoryData(String reportYear, String reportMonth,String category);

    //List<BizFinancialPresentationDO> countData(String reportYear, String reportMonth);

}