package com.unis.financial.server.dao;


import com.unis.financial.common.vo.BizPerformanceManagementVO;
import com.unis.financial.server.entity.father.BizFinancialPresentationDO;
import com.unis.financial.server.entity.father.BizPerformanceManagementDO;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;
import org.springframework.transaction.annotation.Transactional;

import java.util.Date;
import java.util.List;
import java.util.Map;

/**
 * 
 * @ClassName:
 * @Description:
 * @author wq
 * @version v1.0
 */
@Transactional(rollbackFor = Exception.class)
@org.apache.ibatis.annotations.Mapper
public interface FinancialPerformanceManagementDao {

	BizPerformanceManagementDO selectByPrimaryKey(String id);

	int insertSelective(BizPerformanceManagementDO bizPerformanceManagementDO);

	//List<Map> findByPage(@Param("record")BizPerformanceManagementVO bizPerformanceManagementVO,@Param("deptId")String deptId);
	List<Map> findByPage(@Param("record") BizPerformanceManagementVO bizPerformanceManagementVO);

	Boolean deleteById(String id, String deleteBy, Date deleteTime);

	int updateByPrimaryKey(@Param("record")BizPerformanceManagementDO bizPerformanceManagementDO);

	List<BizPerformanceManagementDO> findByPageOfAudit(@Param("record")BizPerformanceManagementVO bizPerformanceManagementVO,@Param("array")List<String> array);

	List<BizPerformanceManagementDO> selectByProjectId(String projectId);

}