package com.unis.financial.server.entity.father;

import java.util.Date;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

import com.unis.financial.server.entity.BaseEntity;

import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

@Getter
@Setter
@ToString
@Entity
@Table(name = "BIZ_FINANCIAL_BUDGET_FILLING")
public class BizFinancialBudgetFillingDO extends BaseEntity {
    private String orgId;
    private String deptId;
    private String areaCode;

    @Column(name = "PROJECT_NAME")
    private String projectName;
    @Column(name = "DEPARTMENTS_CODES")
    private String departmentsCodes;
    @Column(name = "IMPLEMENTATION_UNIT")
    private String implementationUnit;
    @Column(name = "PROJECT_ATTRIBUTES")
    private String projectAttributes;
    @Column(name = "PROJECT_PERIOD")
    private String projectPeriod;
    @Column(name = "TOTAL_ANNUAL_FUNDS")
    private Integer totalAnnualFunds;
    @Column(name = "FINANCIAL_ALLOCATION")
    private String financialAllocation;
    @Column(name = "OTHER_FUNDS")
    private String otherFunds;
    @Column(name = "TOTAL_MEDIUM-TERM _FUNDS")
    private String totalMediumTermFunds;
    @Column(name = "MEDIUM-TERM_FINANCIAL_ALLOCATI")
    private String mediumTermFinancialAllocati;
    @Column(name = "MEDIUM-TERM_OTHER_FUNDS")
    private String mediumTermOtherFunds;
    //项目描述
    @Column(name = "PROJECT_CONTENT")
    private String projectContent;
    //政策依据
    @Column(name = "BASIS_APPLICATION")
    private String basisApplication;
    //项目背景
    @Column(name = "CALCULATING_PROCESS")
    private String calculatingProcess;
    @Column(name = "ANNUAL_TARGET")
    private String annualTarget;
    @Column(name = "MEDIUM-TERM_OBJECTIVES")
    private String mediumTermObjectives;
    @Column(name = "QUANTITY-INDICATOR_CONTENT")
    private String quantityIndicatorContent;
    @Column(name = "QUANTITY-ANNUAL_INDICATOR")
    private String quantityAnnualIndicator;
    @Column(name = "QUANTITY-MEDIUM_TERM")
    private String quantityMediumTerm;
    @Column(name = "QUALITY_INDICATOR_CONTENT")
    private String qualityIndicatorContent;
    @Column(name = "QUALITY-ANNUAL_INDICATOR")
    private String qualityAnnualIndicator;
    @Column(name = "QUALITY-MEDIUM_TERM")
    private String qualityMediumTerm;
    @Column(name = "PRESCRIPTION-INDICATOR_CONTENT")
    private String prescriptionIndicatorContent;
    @Column(name = "PRESCRIPTION-ANNUAL_INDICATOR")
    private String prescriptionAnnualIndicator;
    @Column(name = "PRESCRIPTION-MEDIUM_TERM")
    private String prescriptionMediumTerm;
    @Column(name = "COST-INDICATOR_CONTENT")
    private String costIndicatorContent;
    @Column(name = "COST-ANNUAL_INDICATOR")
    private String costAnnualIndicator;
    @Column(name = "COST-MEDIUM_TERM")
    private String costMediumTerm;
    @Column(name = "ECONOMICS-INDICATOR_CONTENT")
    private String economicsIndicatorContent;
    @Column(name = "ECONOMICS-ANNUAL_INDICATOR")
    private String economicsAnnualIndicator;
    @Column(name = "ECONOMICS-MEDIUM_TERM")
    private String economicsMediumTerm;
    @Column(name = "SOCIOLOGY-INDICATOR_CONTENT")
    private String sociologyIndicatorContent;
    @Column(name = "SOCIOLOGY-ANNUAL_INDICATOR")
    private String sociologyAnnualIndicator;
    @Column(name = "SOCIOLOGY-MEDIUM_TERM")
    private String sociologyMediumTerm;
    @Column(name = "ENVIRONMENTAL-INDICATOR_CONTEN")
    private String environmentalIndicatorConten;
    @Column(name = "ENVIRONMENTAL-ANNUAL_INDICATOR")
    private String environmentalAnnualIndicator;
    @Column(name = "ENVIRONMENTAL-MEDIUM_TERM")
    private String environmentalMediumTerm;
    @Column(name = "SUSTAINABILI-INDICATOR_CONTENT")
    private String sustainabiliIndicatorContent;
    @Column(name = "SUSTAINABILIT-ANNUAL_INDICATOR")
    private String sustainabilitAnnualIndicator;
    @Column(name = "SUSTAINABILITY-MEDIUM_TERM")
    private String sustainabilityMediumTerm;
    @Column(name = "SERVICE-INDICATOR_CONTENT")
    private String serviceIndicatorContent;
    @Column(name = "SERVICE-ANNUAL_INDICATOR")
    private String serviceAnnualIndicator;
    @Column(name = "SERVICE-MEDIUM_TERM")
    private String serviceMediumTerm;
    @Column(name = "APPLICATION_OFFICE")
    private String applicationOffice;
    @Column(name = "APPLICATION_DATE")
    private Date applicationDate;
    @Column(name = "AUDIT_OPINIONS")
    private String auditOpinions;
    @Column(name = "FINDINGS_AUDIT")
    private String findingsAudit;
    @Column(name = "AUDITOR")
    private String auditor;
    @Column(name = "AUDIT_DATE")
    private Date auditDate;
    @Column(name = "ATTACH_ID")
    private String attachId;
    @Column(name = "ATTACH_NAME")
    private String attachName;
    @Column(name = "IS_IMPORT_PERFORMANCE")
    private String isImportPerformance;
    @Column(name = "PROJECT_ID")
    private String projectId;
    
    
    /*20191231新增*/
    //单位名称
    @Column(name = "UNIT_NAME")
    private String unitName;
    
    //项目性质
    @Column(name = "PROJECT_NATURE")
    private String projectNature;
    
    //单位地址
    @Column(name = "UNIT_ADDRESS")
    private String unitAddress;
    
    //负责人
    @Column(name = "HEAD")
    private String head;
    
    //联系电话
    @Column(name = "CONTACT_NUMBER")
    private String contactNumber;

    //项目地点
    @Column(name = "PROJECT_LOCATION")
    private String projectLocation;
    
    //单位经办人
    @Column(name = "UNIT_MANAGER")
    private String unitManager;
    
    //邮政编码
    @Column(name = "POST_CODE")
    private String postCode;
    
}
