package com.unis.financial.server.entity.father;

import com.unis.financial.server.entity.BaseEntity;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.util.Date;

@Getter
@Setter
@ToString
@Entity
@Table(name = "BIZ_PERFORMANCE_MANAGEMENT")
public class BizPerformanceManagementDO extends BaseEntity {
    private String orgId;
    private String deptId;
    private String areaCode;

    @Column(name = "PROJECT_NAME")
    private String projectName;
    @Column(name = "PROJECT_CONTENT")
    private String projectContent;
    @Column(name = "ANNUAL_TARGET")
    private String annualTarget;
    @Column(name = "PROJECT_COMPLETION_SCHEDULE")
    private String projectCompletionSchedule;
    @Column(name = "EXPENDITURE_PROGRESS")
    private String expenditureProgress;
    @Column(name = "FILL_DATE")
    private Date fillDate;
    @Column(name = "AUDIT_OPINIONS")
    private String auditOpinions;
    @Column(name = "FINDINGS_AUDIT")
    private String findingsAudit;
    @Column(name = "AUDITOR")
    private String auditor;
    @Column(name = "AUDIT_DATE")
    private Date auditDate;
    @Column(name = "PROJECT_ID")
    private String projectId;
}
