package com.unis.financial.server.entity.father;

import com.unis.financial.server.entity.BaseEntity;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.util.Date;

//总体目标
@SuppressWarnings("serial")
@Getter
@Setter
@ToString
@Entity
@Table(name = "OVERALL_OBJECTIVE")
public class OverallObjectiveDO extends BaseEntity {
    private String orgId;
    private String deptId;
    private String areaCode;
    //财务预算id
    @Column(name = "BUDGET_ID")
    private String budgetId;
    //目标内容
    @Column(name = "TARGET_CONTENT")
    private String targetContent;
    
}
