package com.unis.financial.server.service;

import com.github.pagehelper.PageInfo;
import com.unis.financial.common.vo.BizFinancialPresentationVO;
import com.unis.financial.server.entity.father.BizFinancialPresentationDO;

import java.util.List;
import java.util.Map;

/**
 * @author tcl
 * @version 1.0
 * @Title: FinancialDataPresentationService
 * @ProjectName demoservice
 * @Description: service层样例
 * @date 2019/7/717:04
 */
public interface FinancialDataPresentationService {

    BizFinancialPresentationVO saveFinancialDate(BizFinancialPresentationVO bizFinancialPresentationVO);

    Boolean updateFinancialDate(BizFinancialPresentationVO bizFinancialPresentationVO);

    Boolean deleteFinancialDate(BizFinancialPresentationVO bizFinancialPresentationVO);

    BizFinancialPresentationVO getFinancialDate(String id,String enterpriseCategory);

    Boolean subFinancialDate(BizFinancialPresentationVO bizFinancialPresentationVO);

    PageInfo<List<Map>> getFinancialDataByPage(String establishmentUnit, String year, String month, String orgId, Integer page, Integer size);

    PageInfo<List<Map>> getDataByPage(String establishmentUnit, String reportYear, String reportMonth, Integer page, Integer size);

    PageInfo<List<Map>> countDataPage(String reportYear, String reportMonth, Integer page, Integer size);


    Map<String, BizFinancialPresentationDO> drillData(String reportYear, String reportMonth);
}
