package com.unis.financial.server.entity.father;

import com.unis.financial.server.entity.BaseEntity;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.util.Date;

//效益指标
@SuppressWarnings("serial")
@Getter
@Setter
@ToString
@Entity
@Table(name = "BENEFIT_INDEX")
public class BenefitIndexDO extends BaseEntity {
    private String orgId;
    private String deptId;
    private String areaCode;
    //二级指标
    @Column(name = "TWO_CLASS_INDEX")
    private String twoClassIndex;
    //指标内容
    @Column(name = "INDEX_CONTENT")
    private String indexContent;
    //年度指标
    @Column(name = "ANNUAL_INDEX_VALUE")
    private String annualIndexValue;
    //中期指标
    @Column(name = "MEDIUM_TERM_INDEX_VALUE")
    private String mediumTermIndexValue;
    //财务预算id
    @Column(name = "BUDGET_ID")
    private String budgetId;
    
    /*20191231新增*/
    //三级指标
    @Column(name = "THREE_CLASS_INDEX")
    private String threeClassIndex;
    
    //绩效指标性质  定量、定性
    @Column(name = "INDEX_PROPERTIES")
    private String indexProperties;
    
    //绩效指标值  如上为定性 则为高、中、低；为定量则手填
    @Column(name = "INDEX_VALUE")
    private String indexValue;
    
    //绩效度量单位 如上为定性则该处不用填写
    @Column(name = "UNIT_MEASURE")
    private String unitMeasure;
}
