package com.unis.financial.server.enums;

import lombok.Getter;

@Getter
public enum ApprovalTypeEnum {

    fw(50, "未提交"),
    fy(10, "已提交"),
    fwa(20, "未审核"),
    fa(30, "审核通过"),
    fb(40, "驳回"),
    pw(500, "未提交"),
    py(100, "已提交"),
    pwa(200, "未审核"),
    pa(300, "审核通过"),
    pb(400, "驳回"),
    ;

    private Integer code;
    private String message;

    ApprovalTypeEnum(Integer code, String message) {
        this.code = code;
        this.message = message;
    }
}