package com.unis.financial.server.service;

import com.github.pagehelper.PageInfo;
import com.unis.financial.common.vo.BizFinancialBudgetFillingVO;

import java.util.List;
import java.util.Map;

/**
 * @author tcl
 * @version 1.0
 * @Title: FinancialDataPresentationService
 * @ProjectName demoservice
 * @Description: service层样例
 * @date 2019/7/717:04
 */
public interface FinancialBudgetFillingService {

    BizFinancialBudgetFillingVO saveBizFinancialBudgetFilling(BizFinancialBudgetFillingVO bizFinancialBudgetFillingVO);

    Boolean deleteById(BizFinancialBudgetFillingVO bizFinancialBudgetFillingVO);

    BizFinancialBudgetFillingVO update(BizFinancialBudgetFillingVO bizFinancialBudgetFillingVO);

    PageInfo<List<Map>> findByPage(BizFinancialBudgetFillingVO bizFinancialBudgetFillingVO, Integer page, Integer size);

    BizFinancialBudgetFillingVO applicationSub(BizFinancialBudgetFillingVO bizFinancialBudgetFillingVO);

    BizFinancialBudgetFillingVO audit(BizFinancialBudgetFillingVO bizFinancialBudgetFillingVO);

    PageInfo<List<Map>> findByPageOfAudit(BizFinancialBudgetFillingVO bizFinancialBudgetFillingVO, Integer page, Integer size);

    BizFinancialBudgetFillingVO findInfoById(String id);

    List<BizFinancialBudgetFillingVO> findInfoByProjectId(BizFinancialBudgetFillingVO bizFinancialBudgetFillingVO);

    Boolean deleteAttachById(String id);
    
  //移动端-项目年度汇总 
  	public List<Map> budgetSummary(String years);

}
