package com.unis.financial.server.service;

import com.github.pagehelper.PageInfo;
import com.unis.financial.common.vo.BizFinancialPresentationVO;
import com.unis.financial.common.vo.BizPerformanceManagementVO;

import java.util.List;
import java.util.Map;

/**
 * @author tcl
 * @version 1.0
 * @Title: FinancialDataPresentationService
 * @ProjectName demoservice
 * @Description: service层样例
 * @date 2019/7/717:04
 */
public interface FinancialPerformanceManagementService {
    BizPerformanceManagementVO findInfoById(String id);

    BizPerformanceManagementVO saveBizPerformanceManagement(BizPerformanceManagementVO bizPerformanceManagementVO);

    PageInfo<List<Map>> findByPage(BizPerformanceManagementVO bizPerformanceManagementVO, Integer page, Integer size);

    Boolean deleteById(BizPerformanceManagementVO bizPerformanceManagementVO);

    BizPerformanceManagementVO applicationSub(BizPerformanceManagementVO bizPerformanceManagementVO);

    BizPerformanceManagementVO update(BizPerformanceManagementVO bizPerformanceManagementVO);

    BizPerformanceManagementVO audit(BizPerformanceManagementVO bizPerformanceManagementVO);

    PageInfo<List<Map>> findByPageOfAudit(BizPerformanceManagementVO bizPerformanceManagementVO, Integer page, Integer size);

    List<BizPerformanceManagementVO> findInfoByProjectId(BizPerformanceManagementVO bizPerformanceManagementVO);

}
